> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Resource

> Get a specific app resource by ID.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml get /v2/app-resources/{id}
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/app-resources/{id}:
    get:
      tags:
        - App Resource API
      summary: Get App Resource
      description: Get a specific app resource by ID.
      operationId: svrelay.publicv2.PublicAPIServiceV2.GetAppResource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
            description: The ID of the resource.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/svflow.publicapi.GetAppResourceResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svflow.publicapi.GetAppResourceResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svflow.pubapimodels.Resource'
          title: data
          description: The resource.
          x-stainless-terraform-configurability: optional
        owners:
          type: array
          items:
            $ref: '#/components/schemas/svflow.pubapimodels.AccessRelationship'
          title: owners
          description: The resource's owners (users/groups with relationship_type=OWNER).
          x-stainless-terraform-configurability: optional
      title: GetAppResourceResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svflow.pubapimodels.Resource:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the resource.
          readOnly: true
          x-stainless-terraform-configurability: computed
        appInstanceId:
          type: string
          title: app_instance_id
          description: The ID of the app instance that the resource belongs to.
          x-stainless-terraform-configurability: optional
        resourceType:
          type: string
          title: resource_type
          description: The type of the resource.
          x-stainless-terraform-configurability: optional
        name:
          type: string
          title: name
          description: The name of the resource.
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: A description of the resource.
          nullable: true
          x-stainless-terraform-configurability: optional
        externalId:
          type: string
          title: external_id
          description: The external ID of the resource.
          nullable: true
          x-stainless-terraform-configurability: optional
        tagIds:
          type: array
          items:
            type: string
          title: tag_ids
          description: IDs of the tags currently attached to this resource.
          x-stainless-terraform-configurability: optional
      title: Resource
      additionalProperties: false
    svflow.pubapimodels.AccessRelationship:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the access relationship.
          readOnly: true
          x-stainless-terraform-configurability: computed
        relationshipType:
          $ref: '#/components/schemas/svflow.common.models.AccessRelationshipType'
          title: relationship_type
          description: The type of the relationship.
          x-stainless-terraform-configurability: optional
        targetId:
          type: string
          title: target_id
          description: The ID of the target (user or group).
          x-stainless-terraform-configurability: optional
        targetType:
          $ref: >-
            #/components/schemas/svflow.common.models.AccessRelationshipTargetType
          title: target_type
          description: The type of the target.
          x-stainless-terraform-configurability: optional
        createdAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
          description: The timestamp when the relationship was created.
          readOnly: true
          x-stainless-terraform-configurability: computed
        subjectType:
          $ref: >-
            #/components/schemas/svflow.common.models.AccessRelationshipSubjectType
          title: subject_type
          description: The kind of subject this relationship is on.
          x-stainless-terraform-configurability: optional
        subjectId:
          type: string
          title: subject_id
          description: >-
            The ID of the subject (app_instance_id | resource_id |
            entitlement_id |
             team_id), disambiguated by subject_type.
          x-stainless-terraform-configurability: optional
      title: AccessRelationship
      additionalProperties: false
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svflow.common.models.AccessRelationshipType:
      type: string
      title: AccessRelationshipType
      enum:
        - ACCESS_RELATIONSHIP_TYPE_UNSPECIFIED
        - ACCESS_RELATIONSHIP_TYPE_OWNER
    svflow.common.models.AccessRelationshipTargetType:
      type: string
      title: AccessRelationshipTargetType
      enum:
        - ACCESS_RELATIONSHIP_TARGET_TYPE_UNSPECIFIED
        - ACCESS_RELATIONSHIP_TARGET_TYPE_USER
        - ACCESS_RELATIONSHIP_TARGET_TYPE_GROUP
    google.protobuf.Timestamp:
      type: string
      format: date-time
      description: A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
    svflow.common.models.AccessRelationshipSubjectType:
      type: string
      title: AccessRelationshipSubjectType
      enum:
        - ACCESS_RELATIONSHIP_SUBJECT_TYPE_UNSPECIFIED
        - ACCESS_RELATIONSHIP_SUBJECT_TYPE_APP_INSTANCE
        - ACCESS_RELATIONSHIP_SUBJECT_TYPE_RESOURCE
        - ACCESS_RELATIONSHIP_SUBJECT_TYPE_ENTITLEMENT
        - ACCESS_RELATIONSHIP_SUBJECT_TYPE_TEAM
      description: |-
        The kind of entity a relationship is on. Generalizes the former
         app_relationships model (app_instance subjects only) so resources, roles
         (entitlements), and teams can have owners too.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````